Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk
Class KlassMetadata

    java.lang.Object
      com.sun.squawk.KlassMetadata

    public class KlassMetadata

extends Object

The KlassMetadata class is a container for all the meta-information pertaining to a class where this information is not necessarily required by the runtime system. For example, the names and signatures of a class's fields and methods are contained in this class. These types of information are only required if the runtime system includes support for features such as dynamic class loading, stack traces etc.

Version:
  1.0
See Also:
  `Klass`

Field Summary
`protected Klass[]` | `classTable` The table of classes that are referred to from the symbols.
`protected byte[]` | `symbols` The symbolic information for the class.

Method Summary
`static KlassMetadata` | `create(byte[] symbols, Klass[] classTable, KlassMetadata original, int type)` factory for stripping.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### symbols

    protected byte[] symbols

  The symbolic information for the class. This includes the signatures of the fields and methods of the class. The structure encoded in this array of bytes is accessed by a SymbolsParser instance.

### classTable

    protected Klass[] classTable

  The table of classes that are referred to from the symbols. The class references in the symbols are encoded indexes into this table.

Method Detail

### create

    public static KlassMetadata create(byte[] symbols,
                                       Klass[] classTable,
                                       KlassMetadata original,
                                       int type)

  factory for stripping.

  Parameters:
    `symbols` - the symbols (stripped or otherwise) (may be null)
    `classTable` - class table (may be null)
    `original` - the original symbolic information before stripping
    `type` - the stripping policy
  Returns:
    new full or stripped KlassMetadata

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"